Subject: Re: Resend: [PATCH] oprofile support for Power 5++

From: Maynard Johnson <[email-masked]>
Date: Tue, 10 Jul 2007 16:33:48 -0500

Will Schmidt wrote:

> On Tue, 2007-07-10 at 15:31 -0500, Michael Neuling wrote:
> 
>>>>Does it make more sense to call this "ppc64/power5+rev3"?  
>>>>  
>>>
>>>This is a change to support new counter setup for oprofile.  It may be the
>>>same if there is a revision 4 or 5 etc.  So since the internal name was ++
I have no idea if there will be a revision 4, etc, but I'm assuming the 
behavior would be the same as rev 3.  So I'm not in favor of changing 
this string to include "rev3" in it.  But whatever decision is made, I 
hope it can be made soon.  The OProfile community is testing a release 
candidate right now that includes the userspace portion of this issue 
which checks for the string "ppc64/power5++".  We hope to GA this next 
oprofile release very soon.

Thanks.
-Maynard
>>>I followed that convention. 
> 
> 
> There is an oprofile change already made, or in-flight, or at least
> submitted, that will be looking for the "power5++" string, so if the
> string changes here, it'll need to be changed there too. 
> 
> ( http://article.gmane.org/gmane.linux.oprofile/4670 )
> 
> 
>>I'm not too fussed, but if rev 4 comes out, the counters change and we
>>need power5+++, it's gonna look pretty silly :-)
> 
> 
> silly, but would be funny to see.  :-) 
> 
> 
>>Mikey
>>_______________________________________________
>>Linuxppc-dev mailing list
>>[email-masked]
>>https://ozlabs.org/mailman/listinfo/linuxppc-dev
> 
>